6011: Format phone number

6011: Format phone number

Validate phone number and return the correctly formatted valid number in the requested format

Endpoint ID:

6011

Method:

GET

URL:

/services/phonenumber/format/{phoneNumber}/{phoneNumberFormat=E164}?countryCode={countryCode}&countryCodeFormat={countryCodeFormat}

 

phoneNumber

Phone number to be formatted.

Valid examples

  • +4529254029

  • 29254029 (valid only if country code is specified)

 

 phoneNumberFormat

 Desired format, if not specified default is set to E164.

Valid format options are

  • E164 (Default). A general format for international telephone numbers prefixed with the plus sign (+) and country dial code: +4529254029

  • National. A general format for numbers without a plus sign (+) or country dial code: 29254029

  • International. Similar to E164 with spaces between numbers: +45 29 25 40 29

  • RFC3966. The "tel" URI describes resources identified by telephone numbers: tel:+45-29-25-40-29

  • Rubiq. Internal RubiqSoft format: 4529254029

 

countryCode

Optional value to identify country of phoneNumber.

 

countryCodeFormat 

Optional value to identify countryCode format.

Valid values are

  • ISO2 (ISO 3166-1 alpha-2: two letter country codes)

  • ISO3 (ISO 3166-1 alpha-3: three letter country codes)

  • ISON (ISO 3166-1 numeric: three digit country codes)

  • Internet (top level domain names on web)

  • Rubiq (internal RubiqSoft format)

Request body:

None

JSON data with information of formatted phone number 

 

Example – Format +4529254029 as International
{ "phoneNumber": "+45 29 25 40 29" }

   

Status codes:

200

Phone number is formatted successfully.

 

400

The following sub codes may be returned:

 

400.1

Invalid phone number.

400.2

Phone number must be in E164 format if country code is not specified.

400.3

Invalid country code format.

400.4 

Invalid country code.

400.5

Invalid phone number format.